import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'smart-alarm-modal',
  templateUrl: './alarm-modal.component.html',
  styles: []
})
export class AlarmModalComponent implements OnInit {

    modalTitle = '添加告警';
    tabNum = 0;
    isShow = false;

    //折叠面板
    panel1 = {name: '配置IPMI', active: true};
    panel2 = {name: '配置宏', active: true};

    validateForm;
    macroList = [      //配置宏数组
        {
            macro: '{$SNMP_COMMUNITY}',
            value: 'public',
        }
    ];
    interfaceslist = [
        {
            main: '1',
            ip: '',
            dns: '',
            type: '1',
            port: '10050',
            useip: 1,
            bulk: 0,
        }
    ];  //接口数组
    macroTYpe = 'macro';      //宏tabs
    mainHost = 'hostType1';      //主机tabs
  constructor() { }

  ngOnInit() {
      this.validateForm = {
          groups: [],
          hostExtend: {
              equipmentType: null,
              secondLevelType: null,
              serviceid: ''
          },
          macros: this.macroList,
          interfaces: this.interfaceslist,  //接口
          inventory: {
              os: null,
              name: null,
              serialno_a: null
          },
          templates: [],
          name: null,
          host: null,
          ipmi_authtype: null,
          ipmi_username: null,
          ipmi_privilege: null,
          ipmi_password: null,
          tls_psk_identity: null,
          tls_issuer: null,
          tls_subject: null,
          tls_psk: null,
      };
  }

  showModal(data){
    console.log(data);
    this.isShow = true;
  }

    handleEditCancel(){
      this.isShow = false;
    }

    tabsChange(index){
      this.tabNum = index;
    }

}
